Package org.opensaml.messaging.pipeline.httpclient

# Interface HttpClientMessagePipelineFactory

public interface HttpClientMessagePipelineFactory
Factory for instances of `HttpClientMessagePipeline`.

## Method Summary

Modifier and Type
Method
Description
`HttpClientMessagePipeline`
`newInstance()`
Return a new instance of `HttpClientMessagePipeline`.
`HttpClientMessagePipeline`
`newInstance(String pipelineName)`
Return a new instance of `HttpClientMessagePipeline`.

## Method Details

### newInstance

@Nonnull HttpClientMessagePipeline newInstance()
Return a new instance of `HttpClientMessagePipeline`.

Returns:
  a new pipeline instance

### newInstance

@Nonnull HttpClientMessagePipeline newInstance(@Nullable String pipelineName)
Return a new instance of `HttpClientMessagePipeline`.

Parameters:
  `pipelineName` - the name of the pipeline to return
Returns:
  a new pipeline instance